//--------LICENSE_START--------
//
// Copyright (C) 2020,2021,2022 Institut de Robòtica i Informàtica Industrial, CSIC-UPC.
// Authors: Joan Solà Ortega (jsola@iri.upc.edu)
// All rights reserved.
//
// This file is part of WOLF
// WOLF is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
//--------LICENSE_END--------
/**
 *
 *  Created on: Oct 23, 2020
 *      \author: mfourmy
 */


#ifndef CAPTURE_POINT_FEET_NOMOVE_H
#define CAPTURE_POINT_FEET_NOMOVE_H

//Wolf includes
#include "core/capture/capture_base.h"

namespace wolf {
    
WOLF_PTR_TYPEDEFS(CapturePointFeetNomove);

class CapturePointFeetNomove : public CaptureBase
{
    public:
        CapturePointFeetNomove(
                    const TimeStamp& _init_ts,
                    SensorBasePtr _sensor_ptr,
                    const std::unordered_map<int, Eigen::Vector7d>& kin_incontact
                    ); 
    
        ~CapturePointFeetNomove() override;
        
        // <foot in contact number (0,1,2,3), b_p_bf>
        std::unordered_map<int, Eigen::Vector7d> kin_incontact_;
};

} // namespace wolf

#endif // CAPTURE_POINT_FEET_NOMOVE_H
